# Class RadioGroupFormControl

java.lang.Object
com.meterware.httpunit.FormControl
com.meterware.httpunit.RadioGroupFormControl

All Implemented Interfaces:
  `HTMLElement, ScriptingEventHandler`

public class RadioGroupFormControl extends FormControl
Radio button control

## Nested Class Summary

### Nested classes/interfaces inherited from class FormControl

`FormControl.Scriptable`

## Field Summary

### Fields inherited from class FormControl

`BUTTON_TYPE, CHECKBOX_TYPE, FILE_TYPE, HIDDEN_TYPE, IMAGE_BUTTON_TYPE, MULTIPLE_TYPE, PASSWORD_TYPE, RADIO_BUTTON_TYPE, RESET_BUTTON_TYPE, SINGLE_TYPE, SUBMIT_BUTTON_TYPE, TEXT_TYPE, TEXTAREA_TYPE, UNDEFINED_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`RadioGroupFormControl(WebForm form)`
construct Radiobuttons for a form

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addValues(com.meterware.httpunit.protocol.ParameterProcessor processor, String characterSet)`
`protected void`
`claimUniqueValue(List values)`
Sets this control to the next compatible value from the list, removing it from the list.
`boolean`
`doEvent(String eventScript)`
Deprecated.
since 1.7 - use doEventScript instead
`boolean`
`doEventScript(String eventScript)`
optional do the event if it's defined
`String`
`getAttribute(String name)`
get the Attribute with the given name - by delegating to NodeUtils
`protected String`
`getAttribute(String name, String defaultValue)`
`String`
`getClassName()`
Returns the class associated with this element.
`protected String[]`
`getDisplayedOptions()`
Returns the options displayed for this radio button group.
`String`
`getID()`
Returns the ID associated with this element.
`String`
`getName()`
Returns the name associated with this element.
`Node`
`getNode()`
Returns the DOM node underlying this element.
`String[]`
`getOptionValues()`
Returns the option values defined for this radio button group.
`ScriptingHandler`
`getScriptingHandler()`
Returns a scriptable object which can act as a proxy for this control.
`String`
`getTagName()`
Returns the tag name of this node.
`String`
`getText()`
Returns the text value of this block.
`String`
`getTitle()`
Returns the title associated with this element.
`String`
`getType()`
Return the type of the control, as seen from JavaScript.
`String[]`
`getValues()`
get the values for the buttons
`boolean`
`handleEvent(String eventName)`
handle the event with the given name by getting the attribute and then executing the eventScript for it
`boolean`
`isSupportedAttribute(String name)`
Returns true if this element may have an attribute with the specified name.
`void`
`removeAttribute(String name)`
remove the Attribute with the given name - by delegating to NodeUtils
`protected void`
`reset()`
Resets this control to its initial value.
`void`
`setAttribute(String name, Object value)`
set the Attribute with the given name - by delegating to NodeUtils
`protected void`
`supportAttribute(String name)`

### Methods inherited from class FormControl

`claimValueIsRequired, doOnChangeEvent, doOnClickEvent, doOnMouseDownEvent, doOnMouseUpEvent, emptyIfNull, getForm, getParentDelegate, getValueAttribute, isDisabled, isHidden, isMultiValued, isReadOnly, newScriptable, sendOnChangeEvent, sendOnClickEvent, sendOnMouseDownEvent, sendOnMouseUpEvent, setState, setValueAttribute, toggle`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RadioGroupFormControl

public RadioGroupFormControl(WebForm form)
construct Radiobuttons for a form

Parameters:
  `form` -

## Method Details

### getType

public String getType()
Description copied from class: `FormControl`
Return the type of the control, as seen from JavaScript.

Specified by:
  `getType` in class `FormControl`

### getValues

public String[] getValues()
get the values for the buttons

Specified by:
  `getValues` in class `FormControl`
Returns:
  an array of String values

### getOptionValues

public String[] getOptionValues()
Returns the option values defined for this radio button group.

Overrides:
  `getOptionValues` in class `FormControl`

### getDisplayedOptions

protected String[] getDisplayedOptions()
Returns the options displayed for this radio button group.

Overrides:
  `getDisplayedOptions` in class `FormControl`

### addValues

protected void addValues(com.meterware.httpunit.protocol.ParameterProcessor processor, String characterSet) throws IOException

Specified by:
  `addValues` in class `FormControl`
Throws:
  `IOException`

### claimUniqueValue

protected void claimUniqueValue(List values)
Description copied from class: `FormControl`
Sets this control to the next compatible value from the list, removing it from the list.

Overrides:
  `claimUniqueValue` in class `FormControl`

### reset

protected void reset()
Description copied from class: `FormControl`
Resets this control to its initial value.

Overrides:
  `reset` in class `FormControl`

### getID

public String getID()
Description copied from interface: `HTMLElement`
Returns the ID associated with this element. IDs are unique throughout the HTML document.

Specified by:
  `getID` in interface `HTMLElement`

### getClassName

public String getClassName()
Description copied from interface: `HTMLElement`
Returns the class associated with this element.

Specified by:
  `getClassName` in interface `HTMLElement`

### getTitle

public String getTitle()
Description copied from interface: `HTMLElement`
Returns the title associated with this element.

Specified by:
  `getTitle` in interface `HTMLElement`

### getName

public String getName()
Description copied from interface: `HTMLElement`
Returns the name associated with this element.

Specified by:
  `getName` in interface `HTMLElement`

### getScriptingHandler

public ScriptingHandler getScriptingHandler()
Returns a scriptable object which can act as a proxy for this control.

Specified by:
  `getScriptingHandler` in interface `HTMLElement`

### doEvent

public boolean doEvent(String eventScript)
Deprecated.
since 1.7 - use doEventScript instead
handle the event that has the given script attached by compiling the eventScript as a function and executing it

Specified by:
  `doEvent` in interface `ScriptingEventHandler`
Parameters:
  `eventScript` - - the script to use
Returns:
  true if the script is empty or the result of the script

### doEventScript

public boolean doEventScript(String eventScript)
optional do the event if it's defined

Specified by:
  `doEventScript` in interface `ScriptingEventHandler`
Parameters:
  `eventScript` -
Returns:
  true if the script is empty or the result of the script

### handleEvent

public boolean handleEvent(String eventName)
Description copied from interface: `ScriptingEventHandler`
handle the event with the given name by getting the attribute and then executing the eventScript for it

Specified by:
  `handleEvent` in interface `ScriptingEventHandler`
Parameters:
  `eventName` -
Returns:
  the result of doEventScript

### getText

public String getText()
Returns the text value of this block.

Specified by:
  `getText` in interface `HTMLElement`

### getTagName

public String getTagName()
Description copied from interface: `HTMLElement`
Returns the tag name of this node.

Specified by:
  `getTagName` in interface `HTMLElement`

### getAttribute

public String getAttribute(String name)
get the Attribute with the given name - by delegating to NodeUtils

Specified by:
  `getAttribute` in interface `HTMLElement`
Parameters:
  `name` - - the name of the attribute to get
Returns:
  the attribute

### setAttribute

public void setAttribute(String name, Object value)
set the Attribute with the given name - by delegating to NodeUtils

Specified by:
  `setAttribute` in interface `HTMLElement`
Parameters:
  `name` - - the name of the attribute to set
  `value` - - the value to set

### removeAttribute

public void removeAttribute(String name)
remove the Attribute with the given name - by delegating to NodeUtils

Specified by:
  `removeAttribute` in interface `HTMLElement`
Parameters:
  `name` - - the name of the attribute to remove

### isSupportedAttribute

public boolean isSupportedAttribute(String name)
Description copied from interface: `HTMLElement`
Returns true if this element may have an attribute with the specified name.

Specified by:
  `isSupportedAttribute` in interface `HTMLElement`

### getAttribute

protected String getAttribute(String name, String defaultValue)

### getNode

public Node getNode()
Description copied from interface: `HTMLElement`
Returns the DOM node underlying this element.

Specified by:
  `getNode` in interface `HTMLElement`

### supportAttribute

protected void supportAttribute(String name)